Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# log4cplus::helpers::SocketBuffer Class Reference

`#include <socketbuffer.h>`

Inheritance diagram for log4cplus::helpers::SocketBuffer:

[legend]
Collaboration diagram for log4cplus::helpers::SocketBuffer:

[legend]
List of all members.

## Public Member Functions
| SocketBuffer (size_t max)
| SocketBuffer (const SocketBuffer &rhs)
| ~SocketBuffer ()
SocketBuffer & | operator= (const SocketBuffer &rhs)
char * | getBuffer () const
size_t | getMaxSize () const
size_t | getSize () const
void | setSize (size_t s)
size_t | getPos () const
unsigned char | readByte ()
unsigned short | readShort ()
unsigned int | readInt ()
tstring | readString (unsigned char sizeOfChar)
void | appendByte (unsigned char val)
void | appendShort (unsigned short val)
void | appendInt (unsigned int val)
void | appendSize_t (size_t val)
void | appendString (const tstring &str)
void | appendBuffer (const SocketBuffer &buffer)

## Constructor & Destructor Documentation

log4cplus::helpers::SocketBuffer::SocketBuffer | ( | size_t | max | ) |

log4cplus::helpers::SocketBuffer::SocketBuffer | ( | const SocketBuffer & | rhs | ) |

log4cplus::helpers::SocketBuffer::~SocketBuffer | ( |  | ) |

## Member Function Documentation

void log4cplus::helpers::SocketBuffer::appendBuffer | ( | const SocketBuffer & | buffer | ) |

void log4cplus::helpers::SocketBuffer::appendByte | ( | unsigned char | val | ) |

void log4cplus::helpers::SocketBuffer::appendInt | ( | unsigned int | val | ) |

void log4cplus::helpers::SocketBuffer::appendShort | ( | unsigned short | val | ) |

void log4cplus::helpers::SocketBuffer::appendSize_t | ( | size_t | val | ) |

void log4cplus::helpers::SocketBuffer::appendString | ( | const tstring & | str | ) |

char* log4cplus::helpers::SocketBuffer::getBuffer | ( |  | ) | const`[inline]`

| Definition at line 39 of file socketbuffer.h.

size_t log4cplus::helpers::SocketBuffer::getMaxSize | ( |  | ) | const`[inline]`

| Definition at line 40 of file socketbuffer.h.

size_t log4cplus::helpers::SocketBuffer::getPos | ( |  | ) | const`[inline]`

| Definition at line 43 of file socketbuffer.h.

size_t log4cplus::helpers::SocketBuffer::getSize | ( |  | ) | const`[inline]`

| Definition at line 41 of file socketbuffer.h.

SocketBuffer& log4cplus::helpers::SocketBuffer::operator= | ( | const SocketBuffer & | rhs | ) |

unsigned char log4cplus::helpers::SocketBuffer::readByte | ( |  | ) |

unsigned int log4cplus::helpers::SocketBuffer::readInt | ( |  | ) |

unsigned short log4cplus::helpers::SocketBuffer::readShort | ( |  | ) |

tstring log4cplus::helpers::SocketBuffer::readString | ( | unsigned char | sizeOfChar | ) |

void log4cplus::helpers::SocketBuffer::setSize | ( | size_t | s | ) | `[inline]`

| Definition at line 42 of file socketbuffer.h.

The documentation for this class was generated from the following file:

- socketbuffer.h